ALERT - canary mismatch on efree() - heap overflow detected



  • Hi,

    Does anyone here encountered the same error below?

    ALERT - canary mismatch on efree() - heap overflow detected (attacker 'REMOTE_ADDR not set', file 'unknown')

    I am using PFSense Firewall, FreeBSD 8.1 release.

    Thank you…


  • Rebel Alliance Developer Netgate

    Where exactly did you see the error?

    And which exact pfSense version? All 2.0.x versions (2.0, 2.0.1, 2.0.2, 2.0.3) are based on FreeBSD 8.1

    It appears to be a PHP error from the Suhosin protection. It may or may not be something to worry about. For example, if you leave your GUI port wide open to the world and you get that, it may be worrisome. Otherwise, maybe not. Without more detail it's impossible to say.


Log in to reply